Bug 429867 - daily summary email shows incorrect listing of queued/failed/completed
daily summary email shows incorrect listing of queued/failed/completed
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Other (Show other bugs)
rhn500
All Linux
low Severity low
: ---
: ---
Assigned To: Mike Orazi
Amy Owens
US=16959
:
Depends On: 444753 444756 444757 444761 444834
Blocks: 431812 443075
  Show dependency treegraph
 
Reported: 2008-01-23 10:33 EST by daryl herzmann
Modified: 2010-10-22 17:57 EDT (History)
1 user (show)

See Also:
Fixed In Version: 5.0.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-26 16:22:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
RHN Status Email for 10 Jan 2008 (17.82 KB, text/plain)
2008-01-23 10:33 EST, daryl herzmann
no flags Details
RHN Status Email for 24 Jan 2008 (1.55 KB, text/plain)
2008-01-24 11:34 EST, daryl herzmann
no flags Details
RHN Status Email for 25 Jan 2008 (2.01 KB, text/plain)
2008-01-25 10:42 EST, daryl herzmann
no flags Details
RHN Status Email for 26 Jan 2008 (6.21 KB, text/plain)
2008-01-26 08:54 EST, daryl herzmann
no flags Details
RHN Status Email for 29 Jan 2008 (1.29 KB, text/plain)
2008-01-29 10:27 EST, daryl herzmann
no flags Details
RHN Status Email for 1 Feb 2008 (1.38 KB, text/plain)
2008-02-01 11:27 EST, daryl herzmann
no flags Details
RHN Status Email for 2 Feb 2008 (1.79 KB, text/plain)
2008-02-03 10:38 EST, daryl herzmann
no flags Details
RHN Status Email for 8 Feb 2008 (2.41 KB, text/plain)
2008-02-08 09:45 EST, daryl herzmann
no flags Details
RHN Status Email for 9 Feb 2008 (1.58 KB, text/plain)
2008-02-09 20:37 EST, daryl herzmann
no flags Details
RHN Status Email for 14 Feb 2008 (3.46 KB, text/plain)
2008-02-14 09:40 EST, daryl herzmann
no flags Details
RHN Status Email for 29 Feb 2008 (2.22 KB, text/plain)
2008-02-29 13:01 EST, daryl herzmann
no flags Details
RHN Status Email for 11 Mar 2008 (1.53 KB, text/plain)
2008-03-11 09:29 EDT, daryl herzmann
no flags Details
RHN Status Email for 14 Mar 2008 (1.43 KB, text/plain)
2008-03-14 09:40 EDT, daryl herzmann
no flags Details
RHN Status Email for 9 Apr 2008 (2.07 KB, text/plain)
2008-04-09 09:24 EDT, daryl herzmann
no flags Details

  None (edit)
Description daryl herzmann 2008-01-23 10:33:14 EST
Lately, it seems that the daily rhn summary email only contains a listing
of errata that was queued.  I can't remember seeing anything failing or
actually completed, while on rhn hosted webUI I can see plenty of failed
and completed actions.

The attached email illustrates this only showing queued actions.
Comment 1 daryl herzmann 2008-01-23 10:33:14 EST
Created attachment 292653 [details]
RHN Status Email for 10 Jan 2008
Comment 2 daryl herzmann 2008-01-24 11:34:35 EST
Created attachment 292810 [details]
RHN Status Email for 24 Jan 2008

Another example showing the issue of only reporting queued errata.
Comment 3 daryl herzmann 2008-01-25 10:42:58 EST
Created attachment 292951 [details]
RHN Status Email for 25 Jan 2008

Weird, today's email doesn't have a "Queued" column and has completed actions,
but those numbers are way too low.
Comment 4 daryl herzmann 2008-01-26 08:54:12 EST
Created attachment 293048 [details]
RHN Status Email for 26 Jan 2008

The Queued column is back, but still is not correct.  All of those 2007 errata
were not queued, but actually completed on a machine that checked in for the
first time this year...
Comment 5 daryl herzmann 2008-01-29 10:27:07 EST
Created attachment 293289 [details]
RHN Status Email for 29 Jan 2008

Today's RHN status email is getting closer! :)

This time there are 5 errata listed under Synopses, but only 4 in the Errata
Update.  The yum-rhn-plugin is missing from the first list.
Comment 6 daryl herzmann 2008-02-01 11:27:21 EST
Created attachment 293745 [details]
RHN Status Email for 1 Feb 2008

Only queued numbers are shown, which appear to be correct, but it is hard to
tell with two RHSA-2008:0055 listed.  The problem is that a good number should
have shown up as completed.
Comment 7 daryl herzmann 2008-02-03 10:38:17 EST
Created attachment 293835 [details]
RHN Status Email for 2 Feb 2008

This status email only shows queued actions.  The day prior to this email, I
manually installed lots of errata and errata like the autofs and kernel errata
were successfully installed on many machines besides 0.
Comment 9 daryl herzmann 2008-02-08 09:45:47 EST
Created attachment 294362 [details]
RHN Status Email for 8 Feb 2008

Status email showing more queued events for RHSA-2008:0103 than I have systems
(113).	Also, only queued events are shown.  There were a bunch of failed and
completed actions not shown.
Comment 10 daryl herzmann 2008-02-09 20:37:08 EST
Created attachment 294482 [details]
RHN Status Email for 9 Feb 2008

Today's RHN status email showing 'RHBA-2008:0102' listed under synopsis, but no
events listed above.  Also, the completed column is out of alignment for some
reason.
Comment 12 daryl herzmann 2008-02-14 09:40:48 EST
Created attachment 294912 [details]
RHN Status Email for 14 Feb 2008

Email only shows completed actions this time?

For some reason, it shows 44 completed actions for RHEA-2008:0086 , which is
not close to correct.  Should be 3, I think.
Comment 14 daryl herzmann 2008-02-29 13:01:15 EST
Created attachment 296391 [details]
RHN Status Email for 29 Feb 2008

This one shows 155 queued for RHSA-2008:0146, I only have 116 systems.
Comment 15 daryl herzmann 2008-03-11 09:29:12 EDT
Created attachment 297611 [details]
RHN Status Email for 11 Mar 2008

Only queued events shown and 160 tzdata (way more than machines I have)
Comment 17 daryl herzmann 2008-03-14 09:40:33 EDT
Created attachment 298047 [details]
RHN Status Email for 14 Mar 2008

Example showing 1 errata listed under "Synopses" but nothing under "Update"
Comment 21 daryl herzmann 2008-04-09 09:24:30 EDT
Created attachment 301801 [details]
RHN Status Email for 9 Apr 2008

Showing 145 queued actions for the squid errata.  I don't have that many
machines.
Comment 22 Mike Orazi 2008-04-09 23:22:02 EDT
So far in this investigation, I think there are a handful of issues being reported:

1.  There are formatting issues with the email, causing numbers to not line up
under the appropriate field in the report.  This is causing
confusion/inconsistency with the data that is reflected in the web application.

NOTES:  Work in progress.

2.  There are inconsistencies between the Errata Update & Errata Synopsis
section of the email.

NOTES:  Working to identify the root cause.

3.  The report suggests that there are more actions than servers in some cases.

NOTES:  For each reported instance, the erratum in question had been pushed
multiple times within a 24 hour period, which resulted in multiple actions
scheduled to update the erratum in question.  The report is technically correct
in each of the cases mentioned, but obviously misleading.

4.  Comment #12 is reporting vastly larger than expected number.

NOTES:  Working to identify the root cause.

Note You need to log in before you can comment on or make changes to this bug.